//  *****************************************************************************
//   						AT91F_Fiq_Handler
// 
//     IRQ 0 Interrupt Service Routine
//
//	   
//     
//
//  Author:
//  ***************************************************************************** 
#include "Board.h"
#define __inline static inline
#include "lib_AT91SAM7S256.h"
volatile AT91PS_AIC	pAic = AT91C_BASE_AIC;
void AT91F_Fiq_Handler(void)	{
	int dummy;
    //* Read the output state
    if ( (AT91F_PIO_GetInput(AT91C_BASE_PIOA) & LED2 ) == LED2 )
    {
        AT91F_PIO_ClearOutput( AT91C_BASE_PIOA, LED2 );
    }
    else
    {
        AT91F_PIO_SetOutput( AT91C_BASE_PIOA, LED2 );
    }
    AT91F_AIC_ClearIt (pAic, AT91C_ID_FIQ);
    dummy =AT91C_BASE_PIOA->PIO_ISR;
}
